Urabe Shyouhei wrote:
> Hello, I think current 1.8.6/1.8.7 is stable than p230/p22
I think so too. However, there are still some problems that may be 
serious, such as the breakage of Iconv.

> Can you check to see if they works on your machine?  I don't want to
> release again and again (that make users confuse.)  I want to make next
> release acceptable for you.
I've re-run the test suites, along with some additional ones, against 
Ruby 1.8.6 SVN 17631 and the results seem promising.

The RubySpec team's been working hard to expand their specs and 
eliminate the false positives I reported last time. Many thanks to 
Federico Builes, Vladimir Sizikov, Arthur Schreiber, Tanaka Akira, Brian 
Ford, and others for the timely effort.

Here are the latest results from the test suites:

RubySpec [Wed Jul 2 11:27:11 2008 -0500]
* Module#remove_method fails
* String#% failures
* Iconv has many, many failures

Rails 1.2.6
* Fine!

Rails 2.0.2
* Fine!

Rails 2.1.0
* Fine!

Rails tip
* Hundreds of tests seem to be skipped, haven't figured out why.

RSpec 1.1.4
* Fine. Although it fails the 'identical HTML' spec, that spec is flaky 
and shouldn't count.

Complete, updated logs: http://redmine.ruby-lang.org/attachments/download/15

Please double-check my findings.

-igal